Customer
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired
a JWT token describing the customer
Path parameters
tenantIdstringRequired
Responses
200
Authenticated customer profile returned.
Other propertiesanyOptional
401
Caller not authenticated as customer.
500
Unexpected server error.
get
/api/{tenantId}/customerPath parameters
tenantIdstringRequired
Query parameters
flowstringOptional
Optional flow name to execute after account creation (e.g., "preregistration"). When empty, data is validated and filled without additional processing
Body
Other propertiesanyOptional
Responses
200
Account created or updated.
Other propertiesanyOptional
202
Challenge issued for additional verification.
401
Caller not authorized to create or update the account.
412
Validation failed for provided account data.
500
Unexpected server error.
post
/api/{tenantId}/customerPath parameters
tenantIdstringRequired
Query parameters
providerstringOptional
Provider used to authenticate the user.
Body
anyOptional
Responses
200
Authentication succeeded and token returned.
stringOptional
400
Request is missing provider or contains malformed data.
422
Invalid authentication data for the specified provider.
500
Unexpected server error.
post
/api/{tenantId}/customer/authenticateLast updated

